Bug 95775 - FILEOPEN: DOCX - File no longer opens from 5.0 (SAXParseException line 42)
Summary: FILEOPEN: DOCX - File no longer opens from 5.0 (SAXParseException line 42)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.0.0.alpha0+ Master
Hardware: Other All
: high major
Assignee: Mike Kaganski
URL:
Whiteboard: target:5.1.0
Keywords: regression
Depends on:
Blocks:
 
Reported: 2015-11-12 16:17 UTC by Timur
Modified: 2016-10-10 12:03 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2015-11-12 16:17:54 UTC
Attachment 115291 [details] from Bug 91061 can't be open with 5.0 nor 5.1 alpha1. 
Error:
File format error found at SAXParseException: '[word/document.xml line 42]: unknown error', Stream 'word/document.xml', Line 42, Column 14070(row,col).
Comment 1 Mike Kaganski 2015-11-14 04:14:28 UTC
Posted a patch to gerrit:
https://gerrit.libreoffice.org/19962

At the same time, it fixes Bug 91061 (they actually have one cause).

Big Thank You to Michael Stahl for commit ebf767eeb2a169ba533e1b2ffccf16f41d95df35, that revealed a number of previously masked bugs, and made it possible to effectively track them down!
Comment 2 Commit Notification 2015-11-14 11:31:05 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ca80f73c3a330c38493e5e358bfa887adbe21db2

tdf#95775: Allow zero shape width/height; fix setting width/height relation

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Timur 2016-03-28 10:35:56 UTC
Please backport.